> ## Documentation Index
> Fetch the complete documentation index at: https://developers.apartmentiq.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market Survey Data

> Retrieves the [market survey](#response-data-attributes-market-survey-items) data for a comp set.



## OpenAPI

````yaml /openapi/v1/schema.json get /comp_sets/{comp_set_id}/market_survey
openapi: 3.0.3
info:
  title: ApartmentIQ API
  version: 1.14.0
  termsOfService: https://www.getapartmentiq.com/terms
  x-logo:
    url: https://developers.apartmentiq.io/logo.svg
    altText: ApartmentIQ
  description: >-
    ApartmentIQ API providing Accounts, Market Surveys, Markets, Market
    Narratives, and Forecasts endpoints to access accounts, comp sets, market
    survey tables, units, floorplans, and market-based property data. See
    documentation pages for authentication, errors, and rate limits.
servers:
  - url: https://data.apartmentiq.io/apartmentiq/api/v1
security:
  - oauth2: []
tags:
  - name: Accounts
    description: >-
      Endpoints for listing the ApartmentIQ accounts accessible to the
      authenticated user.
  - name: Market Surveys
    description: >-
      Market Survey endpoints can be used to access data related to your market
      surveys within ApartmentIQ. The ApartmentIQ API refers to the list of
      properties within your market surveys as a comp set, or competitive set.
      In the rest of this document, comp set and competitive set will be used
      interchangeably.
  - name: Markets
    description: Endpoints used to access market data.
  - name: Bulk Data Export
    description: >-
      Endpoints for requesting and downloading historical property data through
      asynchronous batch jobs. Submit a job request, monitor its status, and
      download results when ready.
  - name: Forecasts
    description: >-
      Endpoints for retrieving modeled future time-series forecast data for
      geographic boundaries and properties. Forecast data spans from the
      beginning of the current month up to 5 years in the future. Requires
      Explore Pro access.
paths:
  /comp_sets/{comp_set_id}/market_survey:
    get:
      tags:
        - Market Surveys
      summary: Get Market Survey Data
      description: >-
        Retrieves the [market
        survey](#response-data-attributes-market-survey-items) data for a comp
        set.
      operationId: getMarketSurvey
      parameters:
        - $ref: '#/components/parameters/comp_set_id'
        - $ref: '#/components/parameters/filter_bedroom_count'
        - $ref: '#/components/parameters/filter_bathroom_count'
        - $ref: '#/components/parameters/filter_iq_property_ids'
        - $ref: '#/components/parameters/filter_size_gte'
        - $ref: '#/components/parameters/filter_size_lte'
        - $ref: '#/components/parameters/filter_rent_gte'
        - $ref: '#/components/parameters/filter_rent_lte'
        - $ref: '#/components/parameters/filter_date_available_gte'
        - $ref: '#/components/parameters/filter_date_available_lte'
        - $ref: '#/components/parameters/filter_year_built_gte'
        - $ref: '#/components/parameters/filter_year_built_lte'
        - $ref: '#/components/parameters/filter_unit_style'
      responses:
        '200':
          description: >-
            A Map with a `data` attribute that contains the [market
            survey](#response-attributes-name) for the [comp
            sets](#response-attributes-name).
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/MarketSurvey'
        '400':
          description: The request was invalid or malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The user does not have permission to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: The requested resource was not found.
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
        '500':
          description: >-
            An unexpected error occurred while processing the request. Our team
            is investigating.
components:
  parameters:
    comp_set_id:
      name: comp_set_id
      in: path
      description: ID of the comp set to get data for.
      required: true
      schema:
        type: string
      example: '11848667'
    filter_bedroom_count:
      name: filter[bedroom_count]
      description: Filter the data by a comma-separated list of bedroom counts.
      in: query
      schema:
        type: string
      example: 1,2
    filter_bathroom_count:
      name: filter[bathroom_count]
      description: Filter the data by a comma-separated list of bathroom counts.
      in: query
      schema:
        type: string
      example: 1,2
    filter_iq_property_ids:
      name: filter[iq_property_ids]
      description: Filter the data by a comma-separated list of property IDs.
      in: query
      schema:
        type: string
      example: 123,456
    filter_size_gte:
      name: filter[size_gte]
      description: Filter the data by minimum unit size, in square feet.
      in: query
      schema:
        type: integer
      example: 500
    filter_size_lte:
      name: filter[size_lte]
      description: Filter the data by maximum unit size, in square feet.
      in: query
      schema:
        type: integer
      example: 900
    filter_rent_gte:
      name: filter[rent_gte]
      description: Filter the data by minimum rent, in dollars.
      in: query
      schema:
        type: integer
      example: 1000
    filter_rent_lte:
      name: filter[rent_lte]
      description: Filter the data by maximum rent, in dollars.
      in: query
      schema:
        type: integer
      example: 2000
    filter_date_available_gte:
      name: filter[date_available_gte]
      in: query
      description: Filter the data by minimum date available, in ISO 8601 format.
      schema:
        type: string
        format: date
      example: '2025-08-05'
    filter_date_available_lte:
      name: filter[date_available_lte]
      in: query
      description: Filter the data by maximum date available, in ISO 8601 format.
      schema:
        type: string
        format: date
      example: '2025-10-05'
    filter_year_built_gte:
      name: filter[year_built_gte]
      description: Filter the data by minimum year built.
      in: query
      schema:
        type: integer
      example: 2005
    filter_year_built_lte:
      name: filter[year_built_lte]
      description: Filter the data by maximum year built.
      in: query
      schema:
        type: integer
      example: 2025
    filter_unit_style:
      name: filter[unit_style]
      description: >-
        Filter the data by a comma-separated list of unit styles, where unit
        styles are affordable, standard, penthouse, or renovated.
      in: query
      schema:
        type: string
      example: standard,renovated
  schemas:
    MarketSurvey:
      type: object
      required:
        - id
        - type
        - attributes
      properties:
        id:
          type: string
          description: ID of the comp set the market survey is for.
          example: '11848667'
        type:
          type: string
          description: Type of data returned in the response.
          example: market_survey
        attributes:
          type: object
          description: Container for the market survey table values and aggregates.
          properties:
            market_survey_items:
              type: array
              description: List of market survey items (properties).
              items:
                $ref: '#/components/schemas/MarketSurveyItem'
            comp_average_column:
              $ref: '#/components/schemas/MarketSurveyItem'
              type: object
              description: >-
                Average of the data of the comp properties of a market survey
                table.
    Error:
      type: object
      description: >-
        Error response payload. Most errors include error and optional message;
        some validation responses include errors; quota responses include quota
        fields.
      properties:
        error:
          type: string
          description: Short error message
          example: Invalid parameter
        message:
          type: string
          description: Optional detailed message
          example: account_id is required
        errors:
          type: array
          description: Optional list of validation errors.
          items:
            type: string
        quota_limit:
          type: integer
          description: >-
            Quota limit that applied to the request when an account quota was
            exceeded.
        quota_usage:
          type: integer
          description: Current quota usage when an account quota was exceeded.
    MarketSurveyItem:
      type: object
      properties:
        id:
          type: integer
          description: ID of the market survey item (property).
          example: 99030676
        amenities:
          type: object
          description: List of amenities at the property.
          example:
            Stainless Steel Appliances: true
        apartmentiq_property_type:
          type: string
          description: Type of ApartmentIQ property. Either 'standard' or 'custom'.
          example: standard
        subject_property:
          type: boolean
          description: Whether the property is the subject property of the comp set.
          example: true
        distance:
          type: number
          description: Distance, in miles, between this property and the subject property.
          example: 0
          format: float
        property_name:
          type: string
          description: Name of the property.
          example: Cortland Bowery
        management_company_name:
          type: string
          description: Name of the property management company for this property
          example: Madison Property Management
        address:
          type: string
          description: Address of the property.
          example: 6301 S Westshore Blvd
        city:
          type: string
          description: City of the property.
          example: Tampa
        state:
          type: string
          description: State of the property.
          example: FL
        zip_code:
          type: string
          description: Zip code of the property.
          example: '33616'
        image_url:
          type: string
          description: URL of an image of the property.
          example: >-
            https://apartmentiq-assets.rentable.co/images/accounts/1111/comp-sets/11848667.jpg
        year_built:
          type: integer
          description: Year the property was built.
          example: 1987
        total_units:
          type: integer
          description: Total number of units at the property.
          example: 608
        number_of_stories:
          type: integer
          description: Total number of stories at the property.
          example: 3
        avg_rent:
          type: number
          description: Average rent of the properties advertised units.
          example: 1945.0869565217392
          format: float
        avg_sq_ft:
          type: number
          description: Average square footage of the properties advertised units.
          example: 785.9565217391304
          format: float
        avg_rent_per_sq_ft:
          type: number
          description: Average rent per square foot of the properties advertised units.
          example: 2.4748022348841068
          format: float
        concessions:
          $ref: '#/components/schemas/Concessions'
        review:
          type: object
          description: Review of the property.
          properties:
            google_places_id:
              type: string
              description: Google Places ID of the property.
              example: ChIJwUQ2Z6jZwogR5Zl1bJz9J9Y
            average_rating:
              type: number
              description: Average rating of the property.
              example: 4.5
              format: float
            review_count:
              type: integer
              description: Number of reviews of the property.
              example: 100
            url:
              type: string
              description: URL of the property's Google Places page.
              example: >-
                https://www.google.com/maps/place/?q=place_id:ChIJwUQ2Z6jZwogR5Zl1bJz9J9Y
        exposure:
          type: object
          description: Exposure of the property.
          properties:
            current:
              type: number
              description: Current exposure of the property.
              example: 0.0756578947368421
              format: float
            next_60_days:
              type: number
              description: Exposure of the property over the next 60 days.
              example: 0.06743421052631579
              format: float
            next_30_days:
              type: number
              description: Exposure of the property over the next 30 days.
              example: 0.047697368421052634
              format: float
        fees_and_deposits:
          type: object
          description: Fees and deposit amounts, ranges, and terms for this property.
          properties:
            admin:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the admin fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of admin fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of admin fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Title of the admin fee.
                  example: move-in fee
            application:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the application fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of application fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of application fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Title of the application fee.
                  example: application fee
            deposit:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the deposit.
                  example: $100
                max:
                  type: number
                  description: Maximum end of deposit range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of deposit range of the property.
                  example: 50
                title:
                  type: string
                  description: Title of the deposit.
                  example: security deposit
            parking_carport:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the parking fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of parking fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of parking fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of parking.
                  example: covered
            parking_fees:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the parking fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of parking fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of parking fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of parking.
                  example: covered
            parking_garage:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the parking fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of parking fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of parking fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of parking.
                  example: covered
            parking_surface_lot:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the parking fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of parking fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of parking fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of parking.
                  example: covered
            parking_surface_lot_reserved:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the parking fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of parking fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of parking fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of parking.
                  example: covered
            pet_deposit:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the pet deposit.
                  example: $100
                max:
                  type: number
                  description: Maximum end of pet deposit range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of pet deposit range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of pets.
                  example: dog
            pet_fee:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the pet fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of pet fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of pet fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of pet.
                  example: dog
            pet_limits:
              type: string
              description: The pet limits of the property.
              example: Cats 2, Dogs 2
            pet_rent:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the pet rent.
                  example: $100
                max:
                  type: number
                  description: Maximum end of pet rent range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of pet rent range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of pet.
                  example: dog
            pet_weight_limit:
              type: string
              description: The pet weight limits of the property.
              example: 50 lbs, Breed Restrictions
            pets_allowed:
              type: string
              description: Describes which pets are allowed at the property.
              example: Cats, Dogs
            storage:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the storage fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of storage fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of storage fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of storage.
                  example: Additional storage units on-site.
            utilities:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the utility fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of utility fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of utility fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of utility.
                  example: electric
            lifestyle:
              type: object
              properties:
                description:
                  type: string
                  description: Dollar amount string of the lifestyle fee.
                  example: $100
                max:
                  type: number
                  description: Maximum end of lifestyle fee range of the property.
                  example: 100
                min:
                  type: number
                  description: Minimum end of lifestyle fee range of the property.
                  example: 50
                title:
                  type: string
                  description: Type of lifestyle fee.
                  example: lifestyle fee
        calculated_occupancy:
          type: object
          description: Calculated occupancy of the property.
          properties:
            advertised_occupancy:
              type: number
              description: Advertised occupancy of the property.
              example: 0.9703947368421053
              format: float
            status:
              type: string
              description: Status of the calculated occupancy.
              example: ok
        leased_percent:
          type: number
          description: Percent of units that are leased at the property.
          example: 0.9703947368421053
          format: float
        pre_leased_percent:
          type: number
          description: Percent of units that are pre-leased at the property.
          example: 0.9903792321526312
          format: float
        vacant_units_count:
          type: integer
          description: Number of vacant units at the property.
          example: 18
        available_units_count:
          type: integer
          description: Number of available (vacant and occupied) units at the property.
          example: 46
        leases_per_week_last_30_days:
          type: number
          description: Number of leases signed per week in the last 30 days.
          example: 5.832944470368643
          format: float
        leases_last_30_days:
          type: integer
          description: Number of leases signed in the last 30 days.
          example: 25
        leases_last_7_days:
          type: integer
          description: Number of leases signed in the last 7 days.
          example: 9
        leases_total:
          type: integer
          description: Total number of leases signed during the time period.
          example: 100
        new_available_units_per_week_last_30_days:
          type: number
          description: Number of new available units per week in the last 30 days.
          example: 6.766215585627625
          format: float
        new_available_units_last_30_days:
          type: integer
          description: Number of new available units in the last 30 days.
          example: 29
        new_available_units_last_7_days:
          type: integer
          description: Number of new available units in the last 7 days.
          example: 10
        new_available_units_total:
          type: integer
          description: Total number of new available units during the time period.
          example: 100
        applications_last_7_days:
          type: integer
          description: Number of units removed from website in the last 7 days.
          example: 5
        applications_last_30_days:
          type: integer
          description: Number of units removed from website in the last 30 days.
          example: 10
        relisted_units_last_7_days:
          type: integer
          description: Number of units reposted to website in the last 7 days.
          example: 2
        relisted_units_last_30_days:
          type: integer
          description: Number of units reposted to website in the last 30 days.
          example: 5
        relisted_units_total:
          type: integer
          description: Total number of units reposted to website during the time period.
          example: 10
        by_unit_type_rent_min:
          type: object
          description: Minimum rent by unit type.
          properties:
            studio:
              type: number
              description: Minimum rent for a studio.
              example: 1560
              format: float
            one_bed:
              type: number
              description: Minimum rent for a one bedroom.
              example: 1721
              format: float
            two_bed:
              type: number
              description: Minimum rent for a two bedroom.
              example: 1900
              format: float
            two_bed_two_bath:
              type: number
              description: Minimum rent for a two bedroom, two bathroom.
              example: 1900
              format: float
            three_bed:
              type: number
              description: Minimum rent for a three bedroom.
              example: 1900
              format: float
            four_bed:
              type: number
              description: Minimum rent for a four bedroom.
              example: 1900
              format: float
            five_bed:
              type: number
              description: Minimum rent for a five bedroom.
              example: 1900
              format: float
        by_unit_type_rent_avg:
          type: object
          description: Average rent by unit type.
          properties:
            studio:
              type: number
              description: Average rent for a studio.
              example: 1560
              format: float
            one_bed:
              type: number
              description: Average rent for a one bedroom.
              example: 1805.7368421052631
              format: float
            two_bed:
              type: number
              description: Average rent for a two bedroom.
              example: 2081.8
              format: float
            two_bed_two_bath:
              type: number
              description: Average rent for a two bedroom two bathroom.
              example: 2081.8
              format: float
            three_bed:
              type: number
              description: Average rent for a three bedroom.
              example: 2081.8
              format: float
            four_bed:
              type: number
              description: Average rent for a four bedroom.
              example: 2081.8
              format: float
            five_bed:
              type: number
              description: Average rent for a five bedroom.
              example: 2081.8
              format: float
        by_unit_type_concession_min:
          type: object
          description: Minimum concession by unit type.
          properties:
            studio:
              type: number
              description: Minimum concession for a studio.
              example: null
              format: float
            one_bed:
              type: number
              description: Minimum concession for a one bedroom.
              example: null
              format: float
            two_bed:
              type: number
              description: Minimum concession for a two bedroom.
              example: null
              format: float
            two_bed_two_bath:
              type: number
              description: Minimum concession for a two bedroom two bathroom.
              example: null
              format: float
            three_bed:
              type: number
              description: Minimum concession for a three bedroom.
              example: null
              format: float
            four_bed:
              type: number
              description: Minimum concession for a four bedroom.
              example: null
              format: float
            five_bed:
              type: number
              description: Minimum concession for a five bedroom.
              example: null
              format: float
        by_unit_type_concession_percentage_min:
          type: object
          description: Minimum concession % by unit type.
          properties:
            studio:
              type: number
              description: Minimum concession % for a studio.
              example: null
              format: float
            one_bed:
              type: number
              description: Minimum concession % for a one bedroom.
              example: null
              format: float
            two_bed:
              type: number
              description: Minimum concession % for a two bedroom.
              example: null
              format: float
            two_bed_two_bath:
              type: number
              description: Minimum concession % for a two bedroom two bathroom.
              example: null
              format: float
            three_bed:
              type: number
              description: Minimum concession % for a three bedroom.
              example: null
              format: float
            four_bed:
              type: number
              description: Minimum concession % for a four bedroom.
              example: null
              format: float
            five_bed:
              type: number
              description: Minimum concession % for a five bedroom.
              example: null
              format: float
        by_unit_type_concession_avg:
          type: object
          description: Average concession by unit type.
          properties:
            studio:
              type: number
              description: Average concession for a studio.
              example: null
              format: float
            one_bed:
              type: number
              description: Average concession for a one bedroom.
              example: null
              format: float
            two_bed:
              type: number
              description: Average concession for a two bedroom.
              example: null
              format: float
            two_bed_two_bath:
              type: number
              description: Average concession for a two bedroom two bathroom.
              example: null
              format: float
            three_bed:
              type: number
              description: Average concession for a three bedroom.
              example: null
              format: float
            four_bed:
              type: number
              description: Average concession for a four bedroom.
              example: null
              format: float
            five_bed:
              type: number
              description: Average concession for a five bedroom.
              example: null
              format: float
        by_unit_type_concession_percentage_avg:
          type: object
          description: Average concession % by unit type.
          properties:
            studio:
              type: number
              description: Average concession % for a studio.
              example: null
              format: float
            one_bed:
              type: number
              description: Average concession % for a one bedroom.
              example: null
              format: float
            two_bed:
              type: number
              description: Average concession % for a two bedroom.
              example: null
              format: float
            two_bed_two_bath:
              type: number
              description: Average concession % for a two bedroom two bathroom.
              example: null
              format: float
            three_bed:
              type: number
              description: Average concession % for a three bedroom.
              example: null
              format: float
            four_bed:
              type: number
              description: Average concession % for a four bedroom.
              example: null
              format: float
            five_bed:
              type: number
              description: Average concession % for a five bedroom.
              example: null
              format: float
        by_unit_type_concessions:
          type: object
          description: Concessions by unit type.
          properties:
            studio:
              $ref: '#/components/schemas/Concessions'
            one_bed:
              $ref: '#/components/schemas/Concessions'
            two_bed:
              $ref: '#/components/schemas/Concessions'
            two_bed_two_bath:
              $ref: '#/components/schemas/Concessions'
            three_bed:
              $ref: '#/components/schemas/Concessions'
            four_bed:
              $ref: '#/components/schemas/Concessions'
            five_bed:
              $ref: '#/components/schemas/Concessions'
        by_unit_type_sq_ft_min:
          type: object
          description: Minimum square footage by unit type.
          properties:
            studio:
              type: number
              description: Minimum square footage for a studio.
              example: 450
              format: float
            one_bed:
              type: number
              description: Minimum square footage for a one bedroom.
              example: 616
              format: float
            two_bed:
              type: number
              description: Minimum square footage for a two bedroom.
              example: 814
              format: float
            two_bed_two_bath:
              type: number
              description: Minimum square footage for a two bedroom two bathroom.
              example: 814
              format: float
            three_bed:
              type: number
              description: Minimum square footage for a three bedroom.
              example: 814
              format: float
            four_bed:
              type: number
              description: Minimum square footage for a four bedroom.
              example: 814
              format: float
            five_bed:
              type: number
              description: Minimum square footage for a five bedroom.
              example: 814
              format: float
        by_unit_type_sq_ft_avg:
          type: object
          description: Average square footage by unit type.
          properties:
            studio:
              type: number
              description: Average square footage for a studio.
              example: 450
              format: float
            one_bed:
              type: number
              description: Average square footage for a one bedroom.
              example: 691.7894736842105
              format: float
            two_bed:
              type: number
              description: Average square footage for a two bedroom.
              example: 884.4
              format: float
            two_bed_two_bath:
              type: number
              description: Average square footage for a two bedroom two bathroom.
              example: 884.4
              format: float
            three_bed:
              type: number
              description: Average square footage for a three bedroom.
              example: 884.4
              format: float
            four_bed:
              type: number
              description: Average square footage for a four bedroom.
              example: 884.4
              format: float
            five_bed:
              type: number
              description: Average square footage for a five bedroom.
              example: 884.4
              format: float
        by_unit_type_rent_per_sq_ft_min:
          type: object
          description: Minimum rent per square foot by unit type.
          properties:
            studio:
              type: number
              description: Minimum rent per square foot for a studio.
              example: 3.466666666666667
              format: float
            one_bed:
              type: number
              description: Minimum rent per square foot for a one bedroom.
              example: 2.379128137384412
              format: float
            two_bed:
              type: number
              description: Minimum rent per square foot for a two bedroom.
              example: 2.294372294372294
              format: float
            two_bed_two_bath:
              type: number
              description: Minimum rent per square foot for a two bedroom two bathroom.
              example: 2.294372294372294
              format: float
            three_bed:
              type: number
              description: Minimum rent per square foot for a three bedroom.
              example: 2.294372294372294
              format: float
            four_bed:
              type: number
              description: Minimum rent per square foot for a four bedroom.
              example: 2.294372294372294
              format: float
            five_bed:
              type: number
              description: Minimum rent per square foot for a five bedroom.
              example: 2.294372294372294
              format: float
        by_unit_type_rent_per_sq_ft_avg:
          type: object
          description: Average rent per square foot by unit type.
          properties:
            studio:
              type: number
              description: Average rent per square foot for a studio.
              example: 3.466666666666667
              format: float
            one_bed:
              type: number
              description: Average rent per square foot for a one bedroom.
              example: 2.610240413877054
              format: float
            two_bed:
              type: number
              description: Average rent per square foot for a two bedroom.
              example: 2.3539122568973316
              format: float
            two_bed_two_bath:
              type: number
              description: Average rent per square foot for a two bedroom two bathroom.
              example: 2.3539122568973316
              format: float
            three_bed:
              type: number
              description: Average rent per square foot for a three bedroom.
              example: 2.3539122568973316
              format: float
            four_bed:
              type: number
              description: Average rent per square foot for a four bedroom.
              example: 2.3539122568973316
              format: float
            five_bed:
              type: number
              description: Average rent per square foot for a five bedroom.
              example: 2.3539122568973316
              format: float
        by_unit_type_available_units_count:
          type: object
          description: Available units count by unit type.
          properties:
            studio:
              type: integer
              description: Number of available units for a studio.
              example: 2
            one_bed:
              type: integer
              description: Number of available units for a one bedroom.
              example: 19
            two_bed:
              type: integer
              description: Number of available units for a two bedroom.
              example: 25
            two_bed_two_bath:
              type: integer
              description: Number of available units for a two bedroom two bathroom.
              example: 25
            three_bed:
              type: integer
              description: Number of available units for a three bedroom.
              example: 25
            four_bed:
              type: integer
              description: Number of available units for a four bedroom.
              example: 25
            five_bed:
              type: integer
              description: Number of available units for a five bedroom.
              example: 25
        by_unit_type_vacant_units_count:
          type: object
          description: Vacant units count by unit type.
          properties:
            studio:
              type: integer
              description: Number of vacant units for a studio.
              example: 0
            one_bed:
              type: integer
              description: Number of vacant units for a one bedroom.
              example: 2
            two_bed:
              type: integer
              description: Number of vacant units for a two bedroom.
              example: 2
            two_bed_two_bath:
              type: integer
              description: Number of vacant units for a two bedroom two bathroom.
              example: 2
            three_bed:
              type: integer
              description: Number of vacant units for a three bedroom.
              example: 2
            four_bed:
              type: integer
              description: Number of vacant units for a four bedroom.
              example: 2
            five_bed:
              type: integer
              description: Number of vacant units for a five bedroom.
              example: 2
        by_unit_type_leased_units_count:
          type: object
          description: Leased units count by unit type.
          properties:
            studio:
              type: integer
              description: Number of leased units for a studio.
              example: 0
            one_bed:
              type: integer
              description: Number of leased units for a one bedroom.
              example: 0
            two_bed:
              type: integer
              description: Number of leased units for a two bedroom.
              example: 0
            two_bed_two_bath:
              type: integer
              description: Number of leased units for a two bedroom two bathroom.
              example: 0
            three_bed:
              type: integer
              description: Number of leased units for a three bedroom.
              example: 0
            four_bed:
              type: integer
              description: Number of leased units for a four bedroom.
              example: 0
            five_bed:
              type: integer
              description: Number of leased units for a five bedroom.
              example: 0
        floorplan_only_status:
          type: boolean
          description: Whether or not the property only has floor-plan level data.
          example: true
        avg_ner:
          type: number
          description: Average net effective rent of the property.
          example: 1945.0869565217392
          format: float
        avg_ner_per_sq_ft:
          type: number
          description: Average net effective rent per square foot of the property.
          example: 2.4748022348841068
          format: float
        by_unit_type_ner_min:
          type: object
          description: Minimum net effective rent by unit type.
          properties:
            studio:
              type: number
              description: Minimum net effective rent for a studio.
              example: 1560
              format: float
            one_bed:
              type: number
              description: Minimum net effective rent for a one bedroom.
              example: 1721
              format: float
            two_bed:
              type: number
              description: Minimum net effective rent for a two bedroom.
              example: 1900
              format: float
            two_bed_two_bath:
              type: number
              description: Minimum net effective rent for a two bedroom two bathroom.
              example: 1900
              format: float
            three_bed:
              type: number
              description: Minimum net effective rent for a three bedroom.
              example: 1900
              format: float
            four_bed:
              type: number
              description: Minimum net effective rent for a four bedroom.
              example: 1900
              format: float
            five_bed:
              type: number
              description: Minimum net effective rent for a five bedroom.
              example: 1900
              format: float
        by_unit_type_ner_avg:
          type: object
          description: Average net effective rent by unit type.
          properties:
            studio:
              type: number
              description: Average net effective rent for a studio.
              example: 1560
              format: float
            one_bed:
              type: number
              description: Average net effective rent for a one bedroom.
              example: 1805.7368421052631
              format: float
            two_bed:
              type: number
              description: Average net effective rent for a two bedroom.
              example: 2081.8
              format: float
            two_bed_two_bath:
              type: number
              description: Average net effective rent for a two bedroom two bathroom.
              example: 2081.8
              format: float
            three_bed:
              type: number
              description: Average net effective rent for a three bedroom.
              example: 2081.8
              format: float
            four_bed:
              type: number
              description: Average net effective rent for a four bedroom.
              example: 2081.8
              format: float
            five_bed:
              type: number
              description: Average net effective rent for a five bedroom.
              example: 2081.8
              format: float
        by_unit_type_ner_per_sq_ft_min:
          type: object
          description: Minimum net effective rent per square foot by unit type.
          properties:
            studio:
              type: number
              description: Minimum net effective rent per square foot for a studio.
              example: 3.466666666666667
              format: float
            one_bed:
              type: number
              description: Minimum net effective rent per square foot for a one bedroom.
              example: 2.379128137384412
              format: float
            two_bed:
              type: number
              description: Minimum net effective rent per square foot for a two bedroom.
              example: 2.294372294372294
              format: float
            two_bed_two_bath:
              type: number
              description: >-
                Minimum net effective rent per square foot for a two bedroom two
                bathroom.
              example: 2.294372294372294
              format: float
            three_bed:
              type: number
              description: Minimum net effective rent per square foot for a three bedroom.
              example: 2.294372294372294
              format: float
            four_bed:
              type: number
              description: Minimum net effective rent per square foot for a four bedroom.
              example: 2.294372294372294
              format: float
            five_bed:
              type: number
              description: Minimum net effective rent per square foot for a five bedroom.
              example: 2.294372294372294
              format: float
        by_unit_type_ner_per_sq_ft_avg:
          type: object
          description: Average net effective rent per square foot by unit type.
          properties:
            studio:
              type: number
              description: Average net effective rent per square foot for a studio.
              example: 3.466666666666667
              format: float
            one_bed:
              type: number
              description: Average net effective rent per square foot for a one bedroom.
              example: 2.610240413877054
              format: float
            two_bed:
              type: number
              description: Average net effective rent per square foot for a two bedroom.
              example: 2.3539122568973316
              format: float
            two_bed_two_bath:
              type: number
              description: >-
                Average net effective rent per square foot for a two bedroom two
                bathroom.
              example: 2.3539122568973316
              format: float
            three_bed:
              type: number
              description: Average net effective rent per square foot for a three bedroom.
              example: 2.3539122568973316
              format: float
            four_bed:
              type: number
              description: Average net effective rent per square foot for a four bedroom.
              example: 2.3539122568973316
              format: float
            five_bed:
              type: number
              description: Average net effective rent per square foot for a five bedroom.
              example: 2.3539122568973316
              format: float
        avg_rent_adjustment:
          type: number
          description: Average rent adjustment of the property.
          example: 0
          format: float
        concession_percentage:
          type: number
          description: >-
            The percentage of the average concession value relative to the gross
            rent.
          example: 0
          format: float
        cancelled_applications_percentage:
          type: number
          description: >-
            Percentage of applications that resulted in a re-listed unit
            relative to total applications.
          example: 0
          format: float
        cancelled_applications_percentage_last_7_days:
          type: number
          description: >-
            Percentage of applications that resulted in a re-listed unit
            relative to total applications (last 7 days).
          example: 0
          format: float
        cancelled_applications_percentage_last_30_days:
          type: number
          description: >-
            Percentage of applications that resulted in a re-listed unit
            relative to total applications (last 30 days).
          example: 0
          format: float
        cancelled_applications_total:
          type: number
          description: Number of applications that resulted in a re-listed unit.
          example: 0
          format: float
        cancelled_applications_last_7_days:
          type: number
          description: >-
            Number of applications that resulted in a re-listed unit (last 7
            days).
          example: 0
          format: float
        cancelled_applications_last_30_days:
          type: number
          description: >-
            Number of applications that resulted in a re-listed unit (last 30
            days).
          example: 0
          format: float
        construction_type:
          type: string
          description: Construction type of the property.
          example: Mid-Rise
        date_started_tracking:
          type: string
          description: Date the property started tracking, in ISO 8601 format.
          example: '2024-09-10T23:59:59.999Z'
          format: date-time
        has_renovated_units:
          type: boolean
          description: Whether the property has renovated units.
          example: false
        comp_score:
          type: number
          description: A property's overall match score within the comp set.
          example: 0.5
          format: float
        has_affordable_units:
          type: boolean
          description: Whether the property has affordable units.
          example: false
        by_unit_type_rent_lowest_rent:
          type: object
          description: Lowest rent by unit type.
          properties:
            studio:
              type: number
              description: Lowest rent for a studio.
              example: 1560
              format: float
            one_bed:
              type: number
              description: Lowest rent for a one bedroom.
              example: 1721
              format: float
            two_bed:
              type: number
              description: Lowest rent for a two bedroom.
              example: 1900
              format: float
            two_bed_two_bath:
              type: number
              description: Lowest rent for a two bedroom, two bathroom.
              example: 1900
              format: float
            three_bed:
              type: number
              description: Lowest rent for a three bedroom.
              example: 1900
              format: float
            four_bed:
              type: number
              description: Lowest rent for a four bedroom.
              example: 1900
              format: float
            five_bed:
              type: number
              description: Lowest rent for a five bedroom.
              example: 1900
              format: float
        by_unit_type_concession_lowest_rent:
          type: object
          description: Lowest concession amount by unit type.
          properties:
            studio:
              type: number
              description: Lowest concession amount for a studio.
              example: 0
              format: float
            one_bed:
              type: number
              description: Lowest concession amount for a one bedroom.
              example: 0
              format: float
            two_bed:
              type: number
              description: Lowest concession amount for a two bedroom.
              example: 0
              format: float
            two_bed_two_bath:
              type: number
              description: Lowest concession amount for a two bedroom, two bathroom.
              example: 0
              format: float
            three_bed:
              type: number
              description: Lowest concession amount for a three bedroom.
              example: 0
              format: float
            four_bed:
              type: number
              description: Lowest concession amount for a four bedroom.
              example: 0
              format: float
            five_bed:
              type: number
              description: Lowest concession amount for a five bedroom.
              example: 0
              format: float
        by_unit_type_concession_percentage_lowest_rent:
          type: object
          description: Lowest concession percentage by unit type.
          properties:
            studio:
              type: number
              description: Lowest concession percentage for a studio.
              example: 0
              format: float
            one_bed:
              type: number
              description: Lowest concession percentage for a one bedroom.
              example: 0
              format: float
            two_bed:
              type: number
              description: Lowest concession percentage for a two bedroom.
              example: 0
              format: float
            two_bed_two_bath:
              type: number
              description: Lowest concession percentage for a two bedroom, two bathroom.
              example: 0
              format: float
            three_bed:
              type: number
              description: Lowest concession percentage for a three bedroom.
              example: 0
              format: float
            four_bed:
              type: number
              description: Lowest concession percentage for a four bedroom.
              example: 0
              format: float
            five_bed:
              type: number
              description: Lowest concession percentage for a five bedroom.
              example: 0
              format: float
        by_unit_type_sq_ft_lowest_rent:
          type: object
          description: Square footage of the unit with lowest rent by unit type.
          properties:
            studio:
              type: number
              description: Square footage of the unit with lowest rent for a studio.
              example: 450
              format: float
            one_bed:
              type: number
              description: Square footage of the unit with lowest rent for a one bedroom.
              example: 616
              format: float
            two_bed:
              type: number
              description: Square footage of the unit with lowest rent for a two bedroom.
              example: 814
              format: float
            two_bed_two_bath:
              type: number
              description: >-
                Square footage of the unit with lowest rent for a two bedroom,
                two bathroom.
              example: 814
              format: float
            three_bed:
              type: number
              description: Square footage of the unit with lowest rent for a three bedroom.
              example: 814
              format: float
            four_bed:
              type: number
              description: Square footage of the unit with lowest rent for a four bedroom.
              example: 814
              format: float
            five_bed:
              type: number
              description: Square footage of the unit with lowest rent for a five bedroom.
              example: 814
              format: float
        by_unit_type_rent_per_sq_ft_lowest_rent:
          type: object
          description: Rent per square foot of the unit with lowest rent by unit type.
          properties:
            studio:
              type: number
              description: Rent per square foot of the unit with lowest rent for a studio.
              example: 3.466666666666667
              format: float
            one_bed:
              type: number
              description: >-
                Rent per square foot of the unit with lowest rent for a one
                bedroom.
              example: 2.379128137384412
              format: float
            two_bed:
              type: number
              description: >-
                Rent per square foot of the unit with lowest rent for a two
                bedroom.
              example: 2.294372294372294
              format: float
            two_bed_two_bath:
              type: number
              description: >-
                Rent per square foot of the unit with lowest rent for a two
                bedroom, two bathroom.
              example: 2.294372294372294
              format: float
            three_bed:
              type: number
              description: >-
                Rent per square foot of the unit with lowest rent for a three
                bedroom.
              example: 2.294372294372294
              format: float
            four_bed:
              type: number
              description: >-
                Rent per square foot of the unit with lowest rent for a four
                bedroom.
              example: 2.294372294372294
              format: float
            five_bed:
              type: number
              description: >-
                Rent per square foot of the unit with lowest rent for a five
                bedroom.
              example: 2.294372294372294
              format: float
        by_unit_type_ner_lowest_rent:
          type: object
          description: Net effective rent of the unit with lowest rent by unit type.
          properties:
            studio:
              type: number
              description: Net effective rent of the unit with lowest rent for a studio.
              example: 1560
              format: float
            one_bed:
              type: number
              description: >-
                Net effective rent of the unit with lowest rent for a one
                bedroom.
              example: 1721
              format: float
            two_bed:
              type: number
              description: >-
                Net effective rent of the unit with lowest rent for a two
                bedroom.
              example: 1900
              format: float
            two_bed_two_bath:
              type: number
              description: >-
                Net effective rent of the unit with lowest rent for a two
                bedroom, two bathroom.
              example: 1900
              format: float
            three_bed:
              type: number
              description: >-
                Net effective rent of the unit with lowest rent for a three
                bedroom.
              example: 1900
              format: float
            four_bed:
              type: number
              description: >-
                Net effective rent of the unit with lowest rent for a four
                bedroom.
              example: 1900
              format: float
            five_bed:
              type: number
              description: >-
                Net effective rent of the unit with lowest rent for a five
                bedroom.
              example: 1900
              format: float
        by_unit_type_ner_per_sq_ft_lowest_rent:
          type: object
          description: >-
            Net effective rent per square foot of the unit with lowest rent by
            unit type.
          properties:
            studio:
              type: number
              description: >-
                Net effective rent per square foot of the unit with lowest rent
                for a studio.
              example: 3.466666666666667
              format: float
            one_bed:
              type: number
              description: >-
                Net effective rent per square foot of the unit with lowest rent
                for a one bedroom.
              example: 2.379128137384412
              format: float
            two_bed:
              type: number
              description: >-
                Net effective rent per square foot of the unit with lowest rent
                for a two bedroom.
              example: 2.294372294372294
              format: float
            two_bed_two_bath:
              type: number
              description: >-
                Net effective rent per square foot of the unit with lowest rent
                for a two bedroom, two bathroom.
              example: 2.294372294372294
              format: float
            three_bed:
              type: number
              description: >-
                Net effective rent per square foot of the unit with lowest rent
                for a three bedroom.
              example: 2.294372294372294
              format: float
            four_bed:
              type: number
              description: >-
                Net effective rent per square foot of the unit with lowest rent
                for a four bedroom.
              example: 2.294372294372294
              format: float
            five_bed:
              type: number
              description: >-
                Net effective rent per square foot of the unit with lowest rent
                for a five bedroom.
              example: 2.294372294372294
              format: float
    Concessions:
      type: object
      description: Concessions being offered and their metadata.
      properties:
        id:
          type: integer
          description: ID of the concession.
          example: 299639
        property_id:
          type: integer
          description: ID of the property the concession applies to.
          example: 99030676
        expires_at:
          type: string
          description: Time the concession expires, in ISO 8601 format.
          example: '2024-02-29T23:59:59.999Z'
          format: date-time
        updated_at:
          type: string
          description: Time the concession was last updated, in ISO 8601 format.
          example: '2024-02-13T10:15:26.403Z'
          format: date-time
        updated_at_formatted:
          type: string
          description: Formatted date the concession was last updated.
          example: 8 hours ago
        display_text:
          type: string
          description: >-
            Human friendly text describing the concessions and any restrictions
            that apply to them.
          example: >-
            up to 6 weeks in free rent

            Restrictions: Move in by February 29, 2024, 13 month lease, Must be
            a new applicant
        rent_concessions:
          type: array
          description: List of concessions that apply to rent.
          items:
            type: object
            properties:
              display_text:
                type: string
                description: >-
                  Human friendly text describing the rent concession and any
                  restrictions that apply.
                example: Up to 6 Weeks Free Rent
              restrictions:
                type: array
                description: List of restrictions that apply to the rent concession.
                items:
                  type: string
                  example: Move in by february 29, 2024
                example:
                  - Move in by february 29, 2024
                  - 13 month lease
                  - Must be a new applicant
              expires_on_date:
                type: string
                description: Date the rent concession expires, in ISO 8601 format.
                example: '2024-02-29'
                format: date
              subject:
                type: string
                description: Subject of the rent concession.
                example: Rent
              type_value:
                type: number
                description: Value of the rent concession.
                example: 6
                format: float
              details:
                type: string
                description: Raw details of the rent concession.
                example: Up to 6 weeks in free rent
        non_rent_concessions:
          type: array
          description: List of concessions that do not apply to rent.
          items:
            type: object
            properties:
              display_text:
                type: string
                description: >-
                  Human friendly text describing the non-rent concession and any
                  restrictions that apply.
                example: 50% Off Administration Fee
              restrictions:
                type: array
                description: List of restrictions that apply to the non-rent concession.
                items:
                  type: string
                  example: Move in by february 29, 2024
                example:
                  - Move in by february 29, 2024
                  - 13 month lease
                  - Must be a new applicant
              expires_on_date:
                type: string
                description: >-
                  Date the non-rent concession expires, if known, in ISO 8601
                  format.
                example: '2024-02-29'
                format: date
              subject:
                type: string
                description: Subject of the non-rent concession.
                example: Administration Fee
              type_value:
                type: number
                description: Value of the non-rent concession.
                example: 0.5
                format: float
              details:
                type: string
                description: Raw details of the non-rent concession.
                example: Half off admin fee
  responses:
    RateLimitExceeded:
      description: >-
        Rate limit exceeded. Inspect the rate limit headers and wait before
        retrying.
      headers:
        X-RateLimit-Limit:
          description: The limit that applied to the request.
          schema:
            type: string
        X-RateLimit-Reset-After:
          description: The rate limit window length, in seconds.
          schema:
            type: string
        X-RateLimit-Reset:
          description: Unix timestamp when the current window resets.
          schema:
            type: string
        Retry-After:
          description: Seconds to wait before retrying the request.
          schema:
            type: string
      content:
        text/plain:
          schema:
            type: string
          example: |
            You have exceeded the rate limit for this API.
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            error: Trial API quota limit exceeded
            quota_limit: 5000
            quota_usage: 5001
  securitySchemes:
    oauth2:
      type: oauth2
      description: >-
        Enter a Bearer token obtained via the OAuth client credentials flow or
        from the Access Tokens tab in your account settings.
      flows:
        clientCredentials:
          tokenUrl: https://data.apartmentiq.io/oauth/token
          scopes: {}

````